
From: Dave Jones <davej@codemonkey.org.uk>

On Sat, May 17, 2003 at 01:05:26AM +0200, Marek Habersack wrote:
 > Hello all,
 > 
 > 2.5.69-mm3 works fine, mm4 wasn't tested. Kernel oopses right after attempting to
 > initialize agpgart. I've managed to copy only the little data from the oops
 > that is shown below, enough to locate it (oops happened in the swapper task):

patch from Christoph Hellwig attached.
Still waiting for Linus to pull this (and other) agp bits from bkbits.

		Dave



 drivers/char/agp/via-agp.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/char/agp/via-agp.c~via-agp-fix drivers/char/agp/via-agp.c
--- 25/drivers/char/agp/via-agp.c~via-agp-fix	2003-05-16 19:38:26.000000000 -0700
+++ 25-akpm/drivers/char/agp/via-agp.c	2003-05-16 19:38:26.000000000 -0700
@@ -402,6 +402,7 @@ found:
 
 	bridge->dev = pdev;
 	bridge->capndx = cap_ptr;
+	bridge->driver = &via_driver; /* might be overriden later */
 
 	switch (pdev->device) {
 	case PCI_DEVICE_ID_VIA_8367_0:
@@ -427,7 +428,6 @@ found:
 		}
 		/*FALLTHROUGH*/
 	default:
-		bridge->driver = &via_driver;
 		break;
 	}
 

_
